//
//  AppDelegate.swift
//  Don't Waste
//
//  Created by David Aldorf on 24.02.18.
//  Copyright © 2018 David Aldorf. All rights reserved.
//

import UIKit
import Firebase
import Swinject
import RxSwift
import SwiftKeychainWrapper

@UIApplicationMain
class AppDelegate: UIResponder, UIApplicationDelegate {
    
    var window: UIWindow?
    
    var container = DIContainer.shared.container
    
    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplicationLaunchOptionsKey: Any]?) -> Bool {
        
        UIApplication.shared.statusBarView?.backgroundColor = UIColor(with: "0096FF")
        UIApplication.shared.statusBarStyle = .lightContent
        
        FirebaseApp.configure()
        
        window = UIWindow(frame: UIScreen.main.bounds)
        window?.makeKeyAndVisible()
        
        if Auth.auth().currentUser != nil {
            
            window?.rootViewController = container.resolve(MainTabBarController.self)
        } else {
            
            window?.rootViewController = container.resolve(LoginVC.self)
        }
                        
        return true
    }
}

extension UIApplication {
    
    var statusBarView: UIView? {
        
        return value(forKey: "statusBar") as? UIView
    }
}

