//
//  Recipe.swift
//  DontWaste
//
//  Created by David Aldorf on 11.03.18.
//  Copyright © 2018 David Aldorf. All rights reserved.
//

import Foundation
import ObjectMapper

class Recipe: Mappable {
    
    var id: String?
    var name: String?
    var products: [Product]?
    var description: String?
    var preparationDuration: Int?
    
    init(
        name: String,
        products: [Product],
        description: String,
        preparationDuration: Int
        ) {
        
        self.name = name
        self.products = products
        self.description = description
        self.preparationDuration = preparationDuration
    }
    
    required init?(map: Map) {}
    
    func mapping(map: Map) {
        
        id <- map[Recipe.firebaseIdKey]
        name <- map["name"]
        products <- map["products"]
        description <- map["description"]
        preparationDuration <- map["preparationDuration"]
    }
    
    static func empty(data: [String: String] = [:]) -> Recipe {
        let json = "{}"
        let jsonDictionary = Mapper<Recipe>.parseJSONStringIntoDictionary(JSONString: json)
        let mapData: Map = Map(mappingType: .fromJSON, JSON: jsonDictionary!, toObject: true)
        return Recipe(map: mapData)!
    }
}
