//
//  RoundedButton.swift
//  DontWaste
//
//  Created by David Aldorf on 24.02.18.
//  Copyright © 2018 David Aldorf. All rights reserved.
//

import UIKit

@IBDesignable class RoundedButton: UIButton {
    
    required init?(coder aDecoder: NSCoder) {
        
        super.init(coder: aDecoder)
        
        roundCorners()
    }
    
    override init(frame: CGRect) {
        
        super.init(frame: frame)
        
        roundCorners()
    }
    
    private func roundCorners() {
        
        layer.cornerRadius = frame.size.height / 2
    }
    
    override func prepareForInterfaceBuilder() {
        
        super.prepareForInterfaceBuilder()
        
        roundCorners()
    }
}
