//
//  StoryboardInit.swift
//  DontWaste
//
//  Created by David Aldorf on 24.02.18.
//  Copyright © 2018 David Aldorf. All rights reserved.
//

import UIKit

public protocol StoryboardInit {
    
    associatedtype ViewModel
    
    // MARK: - Variables
    
    var viewModel: ViewModel? { get set }
}

public extension StoryboardInit where Self: UIViewController {
        
    static func storyboardInit(_ storyboardName: String, viewModel: ViewModel?) -> Self {
        var viewController = UIStoryboard(
            name: storyboardName,
            bundle: Bundle(for: self)
            ).instantiateViewController(
                withIdentifier: String(describing: self)
            ) as! Self
        
        viewController.viewModel = viewModel
        
        return viewController
    }
}
