//
//  RecipeItemCell.swift
//  DontWaste
//
//  Created by David Aldorf on 11.03.18.
//  Copyright © 2018 David Aldorf. All rights reserved.
//

import UIKit

class RecipeItemCell: UITableViewCell, NibLoadableView {

    @IBOutlet weak var categoryImageView: UIImageView!
    @IBOutlet weak var nameLabel: UILabel!
    @IBOutlet weak var expirationDateLabel: UILabel!
    
    func setup(_ recipe: Recipe) {
        
        nameLabel.text = recipe.name
        categoryImageView.image = #imageLiteral(resourceName: "recipes-tabbar")
        
        guard let preparationDuration = recipe.preparationDuration else {
            
            return
        }
        
        expirationDateLabel.text = "\(preparationDuration) min"
    }
}
