//
//  FridgeNavigator.swift
//  DontWaste
//
//  Created by David Aldorf on 06.03.18.
//  Copyright © 2018 David Aldorf. All rights reserved.
//

import UIKit

struct Navigator {
    
    var fridgeNavigationController: UINavigationController?
    var recipesNavigatorController: UINavigationController?
    
    init(
        fridgeNavigationController: UINavigationController? = nil,
        recipesNavigatorController: UINavigationController? = nil
        ) {
        
        self.fridgeNavigationController = fridgeNavigationController
        self.recipesNavigatorController = recipesNavigatorController
    }
}

// MARK: - Main Tab Bar

extension Navigator {
    
    func createTabBar() {
        
        let tabBar = DIContainer.shared.container.resolve(MainTabBarController.self)
        
        UIApplication.shared.delegate?.window??.rootViewController = tabBar
    }
}

// MARK: - Fridge

extension Navigator {
    
    func toProducts() {
        fridgeNavigationController?.popToRootViewController(animated: true)
    }
    
    func toCreateProducts() {
        
        let scannerVC = DIContainer.shared.container.resolve(ScannerVC.self)!
        
        fridgeNavigationController?.pushViewController(
            scannerVC,
            animated: true
        )
    }
    
    func toProduct(_ product: Product) {
        
        let scannerVC = DIContainer.shared.container.resolve(ScannerVC.self)!
        
        scannerVC.viewModel?.product = product
        
        fridgeNavigationController?.pushViewController(scannerVC, animated: true)
    }
}

// MARK: - Recipes

extension Navigator {
    
    func toRecipes() {
        recipesNavigatorController?.popToRootViewController(animated: true)
    }
    
    func toCreateRecipe() {
        
        let scannerVC = DIContainer.shared.container.resolve(ScannerVC.self)!
        
        recipesNavigatorController?.pushViewController(scannerVC, animated: true)
    }
    
    func toRecipe(_ recipe: Recipe) {
        
//        let scannerVC = DIContainer.shared.container.resolve(ScannerVC.self)!
//        
//        scannerVC.viewModel?.recipe = recipe
//        
//        recipesNavigatorController?.pushViewController(scannerVC, animated: true)
    }
}
