//
//  FacebookLoginService.swift
//  DontWaste
//
//  Created by David Aldorf on 24.02.18.
//  Copyright © 2018 David Aldorf. All rights reserved.
//

import FacebookCore
import FacebookLogin
import RxSwift

public enum FacebookLoginStatus{
    
    case success
    case cancelled
    case failed
}

class FacebookLoginService {
    
    var facebookLoginManager: LoginManager?
    func facebookLogin() -> Observable<(FacebookLoginStatus, AccessToken?)> {
        facebookLoginManager = LoginManager()
        return Observable.create { [weak self] observer in
            self?.facebookLoginManager?.logIn(readPermissions: [.publicProfile]) { loginResult in
                switch loginResult {
                case .failed(let error):
                    print(error)
                    observer.on(.error(error))
                case .cancelled:
                    print("User cancelled login.")
                    observer.on(.next((.cancelled, nil)))
                case .success(_, _, let accessToken):
                    print("Logged in!")
                    observer.on(.next((.success, accessToken)))
                }
            }
            return Disposables.create()
        }
    }
}
